# Input method set

An action block that sets the current (default) input method (soft keyboard).

The fiber will proceed immediately without pause.

Use Input method pick block to let the use choose an input method and its subtype. Use the Interact block with action Show input method picker to choose and change input method in a single step.

Note! This feature isn’t officially supported, requires the privileged service since Android 4.2, may not work on all devices.

## Input arguments

- Input method — input method to use.
- Input method subtype — subtype of the input method to use.
- Enable — whether to enable the input method and subtype if it’s disabled.